Subject: bug#10977: detail from .xession-errors concerning .desktop extension of ~./emacs.desktop

From: Stefan Monnier <[email-masked]>
Date: Mon, 12 Mar 2012 08:38:59 -0400

>>> That's already the case at least for searching:
>>> (defcustom desktop-path (list "." user-emacs-directory "~")
>> I think the necessary change would be to make desktop-read set
>> desktop-dirname to user-emacs-directory if no existing desktop is found
>> in any of those three locations (and no DIRNAME arg was specified).
> I think it would be cleaner to obsolete the
> `desktop-path'/`desktop-base-file-name' rigmarole, and define the
> desktop file name explicitly using locate-user-emacs-file.

That'd be fine by me, except that I'd be surprised if nobody uses the
"multiple desktop files" setup which is currently supported.

        Stefan